Subject: Re: bug#78987: 30.1; Unable to create new Git repository in Dired mode

From: Juri Linkov <[email-masked]>
Date: Sun, 13 Jul 2025 09:58:59 +0300

>  (defun dired-vc-deduce-fileset
>      (&optional state-model-only-files not-state-changing)
> -  (let ((backend (vc-responsible-backend default-directory))
> -        (files (dired-get-marked-files nil nil nil nil t)))
> +  (let* ((files (dired-get-marked-files nil nil nil nil t))
> +         (backend (or (vc-responsible-backend default-directory t)
> +                      (vc-backend-for-registration (car files)))))

The original recipe still fails with the same error.
Shouldn't 'vc-responsible-backend' be wrapped with
'ignore-errors' in 'dired-vc-deduce-fileset'?